Name:		xplayer-plparser
Version:	1.0.3
Release:	1%{?dist}
Summary:	Xplayer play-list parser

License:	LGPLv2+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmime-3.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libarchive)
#BuildRequires:	pkgconfig(libquvi-0.9)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)

%description
Xplayer-pl-parser is a simple GObject-based library to
parse a host of play-list formats, as well as save those.


%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa}				== %{version}-%{release}

%description devel
This package contains the development files for %{name}.


%package doc
Summary:	Documentation files for %{name}

BuildArch:	noarch
BuildRequires:	gtk-doc

%description doc
This package contains the documentation files for %{name}.


%prep
%autosetup -p 1


%build
%meson -Denable-gtk-doc=true
%meson_build


%install
%meson_install
%find_lang xplayer-pl-parser

%ldconfig_scriptlets


%files -f xplayer-pl-parser.lang
%license AUTHORS COPYING* MAINTAINERS debian/copyright
%doc ChangeLog NEWS README debian/changelog
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/lib%{name}*.so.*
#{_libexecdir}/xplayer-pl-parser-videosite

%files devel
%{_datadir}/gir-1.0/*.gir
%{_includedir}/xplayer-pl-parser
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc

%files doc
%license %{_datadir}/licenses/%{name}*
%doc %{_datadir}/doc/%{name}*
%doc %{_datadir}/gtk-doc


%changelog
* Mon Nov 14 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0.3-1
- new version

* Tue Feb 20 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.0.2-6
- Add upstream meson port patch

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-5
- Escape macros in %%changelog

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-4
- Adaptions for EPEL7

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 21 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-1
- Initial import (rhbz#1424851)

* Tue Feb 21 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-0.2
- Move '%%{_libdir}/girepository-1.0/*.typelib' to main-pkg
- Move '%%{_datadir}/gir-1.0/*.gir' to devel-pkg

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.2-0.1
- Initial rpm-release (rhbz#1424851)
